Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005164Dwarf FortressAdventure Mode -- Crimepublic2012-02-15 23:462014-07-14 09:04
ReporterTeddy 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusacknowledgedResolutionopen 
PlatformFujitsu Siemens Lifebook T4220OSWindows VistaOS VersionBusiness
Product Version0.34.01 
Target VersionFixed in Version 
Summary0005164: Vampiric gang leaders attack their own gang and are friendly toward the player
DescriptionWhile exploring a castle dungeon, I came across the lair of a large band of batmen. About halfway into the fight where me and my companions made short work of their spearmen and blowgunners, their captain, a master blowgunner batwoman carrying tonnes of crafts made from her slain enemies but no blowgun, entered the room.

Then I notice anouncements about the master blowgunner attacking the other batmen, and after a while, her disguise is dropped and she's revealed to be a batwoman vampire. She keeps attacking her goons, and when I in the middle of the battle try talking with her, she responds friendly and happily tells me about the history of the gang. It's not until I accuse her of being a night creature that she turns hostile and attacks me, making the remaining fight a three-part battle between my team, the batmen and the vampire that should be the leader.
Additional InformationI could upload a save file, but the vampire is already dead there and I've done a bit of a travelling and combat afterwards, so the announcement logs should be wiped as well...
TagsFixed in 0.40.01?
Attached Files

- Relationships
related to 0005055resolvedToady One Vampires have too much jewelry from their victims 
related to 0006547resolvedToady One Wolves passive in adventure mode. 
related to 0003685needs feedbackDwarfu Goblin squads invading a fortress will kill their non-goblin squadmates, sparking loyalty cascade 
related to 0005064resolvedToady One Outcast criminals live in town houses, keep old civ memberships, cause loyalty cascades 
related to 0005246new vampire immigrated to fort as "friendly" rather than citizen 

-  Notes
(0020301)
Toady One (administrator)
2012-02-20 17:17

I've fixed some vampire allegiance bugs, but I can't be sure I've fixed this one. We can close it if it stops happening next time.
(0020858)
malvado (reporter)
2012-02-28 11:29

There's still some problems with this one.
Entered a human town where a vampire was residing in a residence with other humans (9xx kills) , after being acused of being a vampire and confessing she was inmediately attacked and killed by the peasants in that residence.

She was wearing tons of trophies also (basically spamming the message screen when losing them) And worst of all she had no chance against the peasants that "really" feared her...

There's definitely a lot to do here still , either vampires will live with their Thralls , alone and definitely should not carry around "tons" of trophies that slow them down to a crawl.

Another problem is also that they seem to have no good protection against weapons and can easily be killed :'(
(0020859)
malvado (reporter)
2012-02-28 11:30

Note : It was actually 3x peasants I think vs 1 vampire with almost 1000 kills...
(0020860)
Footkerchief (manager)
2012-02-28 11:57

malvado, it's not a bug for unrevealed vampires to live in houses with people who aren't members of their cult. Nor is it a bug for those people to attack the vampire once it's been revealed. This report is about vampires being attacked specifically by members of their gang.

- Issue History
Date Modified Username Field Change
2012-02-15 23:46 Teddy New Issue
2012-02-16 07:03 Footkerchief Relationship added related to 0005064
2012-02-18 06:45 Footkerchief Relationship added related to 0005252
2012-02-20 17:17 Toady One Note Added: 0020301
2012-02-20 17:17 Toady One Assigned To => Toady One
2012-02-20 17:17 Toady One Status new => acknowledged
2012-02-28 09:25 Footkerchief Tag Attached: Fixed in 0.34.03?
2012-02-28 11:29 malvado Note Added: 0020858
2012-02-28 11:30 malvado Note Added: 0020859
2012-02-28 11:57 Footkerchief Note Added: 0020860
2014-01-26 08:49 Footkerchief Relationship added related to 0005055
2014-01-26 08:50 Footkerchief Tag Detached: Fixed in 0.34.03?
2014-01-26 08:50 Footkerchief Tag Attached: Fixed in 0.34.12?
2014-01-26 08:53 Footkerchief Relationship added related to 0005246
2014-07-07 22:23 Footkerchief Tag Renamed Fixed in 0.34.12? => Fixed in 0.40.01?
2014-07-14 09:04 Footkerchief Relationship added related to 0006547
2014-07-14 09:04 Footkerchief Relationship added related to 0003685
2015-12-03 10:22 Footkerchief Relationship deleted related to 0005252


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker